%define         major                    5
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d

Name:           hwloc
Summary:        Hardware locality utilities and libraries
Version:        1.11.7
Release:        %mkrel 1
License:        BSD
Group:          System/Libraries
URL:            http://www.open-mpi.org/projects/hwloc/
Source0:        http://www.open-mpi.org/software/hwloc/v1.11/downloads/%{name}-%{version}.tar.bz2
%ifnarch %arm
BuildRequires:  numa-devel
%endif
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pciaccess)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(OpenCL)

%description
The Portable Hardware Locality software package provides a portable
abstraction of the hierarchical topology of modern architectures,
including NUMA memory nodes, sockets, shared caches, cores and
simultaneous multi-threading. It also gathers various system attributes
such as cache and memory information as well as the locality of I/O
devices such as network interfaces, InfiniBand HCAs or GPUs. It
primarily aims at helping applications with gathering information
about modern computing hardware so as to exploit it accordingly and
efficiently. Try out the command "lstopo" and enjoy the show.

%package -n %{libname}
Summary:        Shared libraries for hwloc
Group:          System/Libraries
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
%{summary}.

%package -n %{develname}
Summary:        Development files for hwloc
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel  = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.

%prep
%setup -q

%build
%configure2_5x  
%make

%install
%makeinstall_std
find %{buildroot}%{_libdir} -name *.la -delete

%files
%doc README COPYING
%{_docdir}/%{name}/*.pdf
# This binary is built only for intel architectures
%ifarch %ix86 x86_64
%attr(0755,root,root) %{_sbindir}/hwloc-dump-hwdata
%endif
%{_bindir}/hwloc*
%{_bindir}/lstopo*
%{_datadir}/hwloc
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*.1*.*
%{_mandir}/man7/*.7.*

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS VERSION NEWS
%{_includedir}/hwloc.h
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/autogen/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*.3.*


%changelog
* Tue May 02 2017 eatdirt <eatdirt> 1.11.7-1.mga6
+ Revision: 1098503
- Upgrade to version 1.11.7

* Fri Mar 03 2017 eatdirt <eatdirt> 1.11.6-1.mga6
+ Revision: 1088571
- Upgrade to version 1.11.6

* Thu Dec 01 2016 eatdirt <eatdirt> 1.11.5-1.mga6
+ Revision: 1071464
- Upgrade to bug fix release 1.11.5

* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.11.4-1.mga6
+ Revision: 1051251
- 1.11.4

* Fri Jun 24 2016 eatdirt <eatdirt> 1.11.3-1.mga6
+ Revision: 1037443
- Upgrade to buxfix release 1.11.3

* Sun Jan 03 2016 luigiwalser <luigiwalser> 1.11.2-1.mga6
+ Revision: 918965
- 1.11.2

* Sat Oct 10 2015 eatdirt <eatdirt> 1.11.0-2.mga6
+ Revision: 888685
- Fix files list

* Sun Aug 16 2015 eatdirt <eatdirt> 1.11.0-1.mga6
+ Revision: 865147
- Upgrade to version 1.11.0

* Wed Oct 15 2014 umeabot <umeabot> 1.9.1-3.mga5
+ Revision: 748950
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.1-2.mga5
+ Revision: 680333
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 eatdirt <eatdirt> 1.9.1-1.mga5
+ Revision: 671552
- Upgrade to version 1.9.1

* Thu Apr 10 2014 eatdirt <eatdirt> 1.9-1.mga5
+ Revision: 613143
- Upgrade to version 1.9

* Fri Feb 28 2014 eatdirt <eatdirt> 1.8.1-1.mga5
+ Revision: 597748
- Upgrade to version 1.8.1

* Sun Oct 20 2013 umeabot <umeabot> 1.7.2-2.mga4
+ Revision: 536772
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 eatdirt <eatdirt> 1.7.2-1.mga4
+ Revision: 485519
- Upgrade to version 1.7.2

* Sat Jun 08 2013 fwang <fwang> 1.7.1-2.mga4
+ Revision: 440483
- cleanup br

* Mon May 27 2013 eatdirt <eatdirt> 1.7.1-1.mga4
+ Revision: 428957
- Upgrade to version 1.7.1

* Sat Jan 12 2013 umeabot <umeabot> 1.6-2.mga3
+ Revision: 353789
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 1.6-1.mga3
+ Revision: 343154
- Upgrade to version 1.6

* Thu Dec 27 2012 rtp <rtp> 1.5.1-2.mga3
+ Revision: 335686
- disable numa build-dep on arm (no numa on arm atm)

* Sat Nov 03 2012 eatdirt <eatdirt> 1.5.1-1.mga3
+ Revision: 312724
- Upgrade to version 1.5.1

* Sat Sep 01 2012 eatdirt <eatdirt> 1.5-1.mga3
+ Revision: 287067
- imported package hwloc

